package com.glxp.udidl.admin.dao.collect;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.glxp.udidl.admin.entity.collect.ThirdAliDrug;
import com.glxp.udidl.admin.req.collect.ThirdAliDrugRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface ThirdAliDrugMapper extends BaseMapper<ThirdAliDrug> {

    int selectDrugsByNameCodes(@Param("nameCode") String nameCode);

    int saveOrUpdateBatch(@Param("list") List<ThirdAliDrug> list);

    List<ThirdAliDrug> filterList(ThirdAliDrugRequest thirdAliDrug);


//    @Select("SELECT cpmctymc  FROM third_ali_drug GROUP BY cpmctymc")
//    List<ThirdAliDrug> groupByCpmctymc();
    @Select("SELECT a.cpmctymc FROM ( SELECT cpmctymc,max(createTime) as createTime  FROM third_ali_drug  GROUP BY cpmctymc) a  WHERE a.createTime < '2025-01-06 09:00:00'")
    List<ThirdAliDrug> groupByCpmctymc();
}